<app-header></app-header>
<div class="alert-message-custom">
    <div class="alert alert-success" role="alert" *ngIf='alertSuccess'>
        <h6 class="mrg0B text-center"><i class="fa fa-check mrg10R" aria-hidden="true"></i>{{successMsg}}</h6>
    </div>
</div>
<div class="alert-message-custom">
    <div class="alert alert-danger" role="alert" *ngIf='alertDanger'>
        <h6 class="mrg0B text-center"><i class="fa fa-exclamation-triangle mrg10R" aria-hidden="true"></i>{{errorMsg}}</h6>
    </div>
</div>

<div class="loading" *ngIf="paginationLoader">Loading&#8230;</div>

<div class="container-fluid">
    <div class="offset-md-2 col-md-8 col-sm-12">
        <div class="white-card">
            <div class="row">
                <div class="col-md-12">
                    <h5 class="theme-text">Custom Notification</h5>
                </div>
            </div>
            <hr class="mrg0LR">
            <div class="row">
                <form #notificationForm="ngForm">
                    <div class="col-md-12">
                        <div class="form-group row align-items-center">
                            <div class="col-md-4 col-sm-3 col-4">
                                <label for="heading">Heading</label>
                            </div>
                            <div class="col-md-7 col-sm-7 col-7">
                                <input type="text" class="form-control" id="heading" name="heading" [(ngModel)]="notificationHeading" placeholder="Enter notification heading" #notificationheading="ngModel" minlength="1" maxlength="40" required>
                                <span class="help-block" *ngIf="notificationheading.errors && (notificationheading.invalid && notificationheading.touched)">
                                    <p class="text-red" [hidden]="!notificationheading.errors.required">Heading is required.</p>
                                    <p class="text-red" [hidden]="!notificationheading.errors.minlength">Heading can not be less than 1 character.</p>
                                    <p class="text-red" [hidden]="!notificationheading.errors.maxlength">Heading can not be less than 40 character.</p>
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group row align-items-center">
                            <div class="col-md-4 col-sm-3 col-4">
                                <label for="message">Message</label>
                            </div>
                            <div class="col-md-7 col-sm-7 col-7">
                                <textarea class="form-control" rows="3" id="message" name="message" [(ngModel)]="message" placeholder="Enter message" minlength="1" maxlength="280" required #notificationMessage="ngModel"></textarea>
                                <span class="help-block" *ngIf="notificationMessage.errors && (notificationMessage.invalid && notificationMessage.touched)">
                                    <p class="text-red" [hidden]="!notificationMessage.errors.required">Message is required.</p>
                                    <p class="text-red" [hidden]="!notificationMessage.errors.minlength">Message can not be less than 1 character.</p>
                                    <p class="text-red" [hidden]="!notificationMessage.errors.maxlength">Message can not be less than 280 character.</p>
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group row align-items-center">
                            <div class="col-md-4 col-sm-3 col-4">
                                <label for="message">User Type</label>
                            </div>
                            <div class="col-md-7 col-sm-7 col-7">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-check">
                                            <input class="form-check-input cursor-pointer" type="checkbox" value="all" id="defaultCheck1" (click)="checkboxValue($event)" name="al" [(ngModel)]="all" [disabled]="checkDisableALL">
                                            <span class="form-check-label" for="defaultCheck1">All</span>
                                        </div>
                                    </div>
                                    <div class="col-md-12 d-flex">
                                        <div class="form-check">
                                            <input class="form-check-input cursor-pointer" type="checkbox" value="2" id="defaultCheck2" (click)="checkboxValue($event)" name="exporter" [(ngModel)]="exporter" [disabled]="checkDisable">
                                            <span class="form-check-label" for="defaultCheck2">Exporter User</span>
                                        </div>

                                        <div class="form-check mrg20LR">
                                            <input class="form-check-input cursor-pointer" type="checkbox" value="7" id="defaultCheck3" (click)="checkboxValue($event)" name="distributor" [(ngModel)]="distributor" [disabled]="checkDisable">
                                            <span class="form-check-label" for="defaultCheck3">Distributor User</span>
                                        </div>
                                    </div>
                                    <div class="col-md-12 d-flex">
                                        <div class="form-check">
                                            <input class="form-check-input cursor-pointer" type="checkbox" value="4" id="defaultCheck4" (click)="checkboxValue($event)" [(ngModel)]="customs" name="custom" [disabled]="checkDisable">
                                            <span class="form-check-label" for="defaultCheck4">Customs User</span>
                                        </div>
                                        <div class="form-check mrg20LR">
                                            <!-- <input class="form-check-input cursor-pointer" type="checkbox" value="3" id="defaultCheck5" (click)="checkboxValue($event)" [(ngModel)]="installation" name="installation" [disabled]="checkDisable"> -->
                                            <input class="form-check-input cursor-pointer" type="checkbox" value="3" id="defaultCheck5" (click)="checkboxValue($event)" name="installation" [disabled]="checkDisable">
                                            <span class="form-check-label" for="defaultCheck5">Installation User</span>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="form-check">
                                            <input class="form-check-input cursor-pointer" type="checkbox" value="10" id="defaultCheck10" (click)="checkboxValue($event)" name="expciadis" [(ngModel)]="expViaDis" [disabled]="checkDisableExpViaDis">
                                            <span class="form-check-label" for="defaultCheck10">Exporter via distributor</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12" *ngIf="showExporterDropdown">
                        <div class="form-group row align-items-center">
                            <div class="col-md-4 col-sm-3 col-4">
                                <label for="message">Select Exporter User</label>
                            </div>
                            <div class="col-md-7 col-sm-7 col-7">
                                <angular2-multiselect [data]="companyData" [(ngModel)]="selectedItemsCompanyName" name="company" [settings]="dropdownSettingsExporter" (onSelect)="onItemSelectCompany($event)" (onDeSelect)="OnItemDeSelectCompany($event)">
                                </angular2-multiselect>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-12" *ngIf="showDistributorDropdown">
                        <div class="form-group row align-items-center">
                            <div class="col-md-4 col-sm-3 col-4">
                                <label for="message">Select Distributor User</label>
                            </div>
                            <div class="col-md-7 col-sm-7 col-7">
                                <angular2-multiselect [data]="distributorData" [(ngModel)]="selectedItemsDistributorName" name="distributor" [settings]="dropdownSettingsDistributor" (onSelect)="onItemSelectDistributor($event)" (onDeSelect)="OnItemDeSelectDistributor($event)">
                                </angular2-multiselect>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-12" *ngIf="showCustomsDropdown">
                        <div class="form-group row align-items-center">
                            <div class="col-md-4 col-sm-3 col-4">
                                <label for="message">Select Customs User</label>
                            </div>
                            <div class="col-md-7 col-sm-7 col-7">
                                <angular2-multiselect [data]="customsData" [(ngModel)]="selectedItemsCustomsName" name="customs" [settings]="dropdownSettingsCustoms" (onSelect)="onItemSelectCustoms($event)" (onDeSelect)="OnItemDeSelectCustoms($event)">
                                </angular2-multiselect>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-12" *ngIf="showInstallationDropdown">
                        <div class="form-group row align-items-center">
                            <div class="col-md-4 col-sm-3 col-4">
                                <label for="message">Select Installation User</label>
                            </div>
                            <div class="col-md-7 col-sm-7 col-7">
                                <angular2-multiselect [data]="installationCompanyData" [(ngModel)]="selectedItemsInstallationName" name="installation" [settings]="dropdownSettingsInstallation" (onSelect)="onItemSelectInstallation($event)" (onDeSelect)="OnItemDeSelectInstallation($event)">
                                </angular2-multiselect>
                            </div>
                        </div>
                    </div>
                </form>
                <!-- <div class="col-md-12" *ngIf="showExpViaDisDropdown">
                    <div class="form-group row align-items-center">
                        <div class="col-md-4 col-sm-3 col-4">
                            <label for="message">Select Exporter Via Distributor</label>
                        </div>
                        <div class="col-md-7 col-sm-7 col-7">
                            <angular2-multiselect [data]="expViaDisData" [(ngModel)]="selectedItemsExpViaDisName" name="expViaDis" [settings]="dropdownSettingsExpViaDis" (onSelect)="onItemSelectExpViaDis($event)" (onDeSelect)="OnItemDeSelectExpViaDis($event)">
                            </angular2-multiselect>
                        </div>
                    </div>
                </div> -->
                <div class="col-md-12 text-center">
                    <button class="btn btn-rounded btn-with-icon btn-edit ripple" type="button" (click)="sendNotification();" [disabled]="notificationForm.invalid">Send Notification</button>
                </div>
            </div>
        </div>
    </div>
</div>